-- 每日首充
Lua_DailyRechargeWindow = class("Lua_DailyRechargeWindow", Lua_Window);
function Lua_DailyRechargeWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_DailyRechargeWindow";
	self.skinName = "DailyRechargeWindow_skin";
	self.showBlackMask = true
	self.isClickClose = true;
	self.showCloseText = true;
	self.closeTextPosY = -537;
end

function Lua_DailyRechargeWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.tipsTxt:setLangValue(520004);

	self.giftList = Lua_DragList.new(self.content, 603, 558, Lua_AxisDefine.Horizontal);
	self.giftList.tweenId = 2017;
	self.giftList:setListCell(Lua_DailyRechargeItem, 201, 558, 1);
	self.giftList:setLocation(0, -79, 0);

	self:addLuaEvent("UPDATE_DAILY_RECHARGE_INFO", self, self.updateDailyRechargeInfo);
	-- Lua_ProxyManager.getProxy("Lua_DailyRechargeProxy"):sDailyRechargeInfo();
	self:updateDailyRechargeInfo();
end

function Lua_DailyRechargeWindow:updateDailyRechargeInfo()
	local arr = DataCenter.dailyRechargeData.dailyRechargeArr;
	self.giftList.canDrag = arr:getSize() > 3;
	self.giftList:setArrayData(arr);
end

function Lua_DailyRechargeWindow:dispose()
	if self.giftList ~= nil then
		self.giftList:dispose();
		self.giftList = nil;
	end
	self:superCall("dispose");
end





--------------------------------------------------





Lua_DailyRechargeItem = class("Lua_DailyRechargeItem", Lua_ListCell);
function Lua_DailyRechargeItem:ctor(p)
	self:superCall("ctor", p, "DailyRechargeItem_skin");
end

function Lua_DailyRechargeItem:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardList = Lua_DragList.new(self.content, 85, 320, Lua_AxisDefine.Vertical);
	self.rewardList:setListCell(Lua_DailyRechargeRewardSubItem, 85, 85, 1);
	self.rewardList:setCellSpacing(0, 5);
	self.rewardList:setRectPivot(1);
	self.rewardList:setLocation(0, 208, 0);
	self:setSubList(self.rewardList);

	self.drawBtn:addClickFuntion(self, self.onBtnClick);
end

function Lua_DailyRechargeItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	self.moneyTxt.text = LanUtil.formateStr(520000, data.recharge);
	self.rechargeTxt.text = LanUtil.formateStr(520001, DataCenter.dailyRechargeData.totalRecharge, data.recharge);

	local rewardInfo = getConfig("daily_recharge", data.id, data.rewardKey);
	self.rewardList.canDrag = #rewardInfo > 3;
	self.rewardList:setArrayData(rewardInfo);

	if data.drawState == 0 then
		self.drawBtn:setLangValue(520002); -- 充值
	else
		self.drawBtn:setLangValue(520003); -- 领取
	end
	
	self.rechargeTxt:setEnable(data.drawState ~= 2);
	self.drawBtn:setEnable(data.drawState ~= 2);
	self.drawedIcon:setEnable(data.drawState == 2);
	self:showRedDot(data.drawState == 1);
end

function Lua_DailyRechargeItem:showRedDot(bShow)
	if bShow == true then
		if self.redPoint == nil then
			self.redPoint = Lua_RedPointIcon.new(self.content);
			self.redPoint:createRedPointEff();
			self.redPoint:setLocation(75, -205, 0);
		end
		self.redPoint:updateRedPointShow(true);
	else
		if self.redPoint ~= nil then
			self.redPoint:updateRedPointShow(false);
		end
	end
end

function Lua_DailyRechargeItem:onBtnClick()
	if self.data.drawState == 0 then
		DataCenter.funcPathUtil:gotoFunction(1115, true);
	elseif self.data.drawState == 1 then
		Lua_ProxyManager.getProxy("Lua_DailyRechargeProxy"):sDailyRechargeReward(self.data.id);
	end
end

function Lua_DailyRechargeItem:dispose()
	if self.rewardList ~= nil then
		self.rewardList:dispose();
		self.rewardList = nil;
	end
	if self.redPoint ~= nil then
		self.redPoint:dispose();
		self.redPoint = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end





--------------------------------------------------





Lua_DailyRechargeRewardSubItem = class("Lua_DailyRechargeRewardSubItem", Lua_ItemIconCell);
function Lua_DailyRechargeRewardSubItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_DailyRechargeRewardSubItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemIcon:setScale(0.68, 0.68);
end